curl --request PUT \
--url https://api.gptmaker.ai/v2/agent/{agentId}/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"onNewMessage": "<string>",
"onLackKnowLedge": "<string>",
"onTransfer": "<string>",
"onFirstInteraction": "<string>",
"onStartInteraction": "<string>",
"onFinishInteraction": "<string>",
"onCreateEvent": "<string>",
"onCancelEvent": "<string>"
}
'import requests
url = "https://api.gptmaker.ai/v2/agent/{agentId}/webhooks"
payload = {
"onNewMessage": "<string>",
"onLackKnowLedge": "<string>",
"onTransfer": "<string>",
"onFirstInteraction": "<string>",
"onStartInteraction": "<string>",
"onFinishInteraction": "<string>",
"onCreateEvent": "<string>",
"onCancelEvent": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
onNewMessage: '<string>',
onLackKnowLedge: '<string>',
onTransfer: '<string>',
onFirstInteraction: '<string>',
onStartInteraction: '<string>',
onFinishInteraction: '<string>',
onCreateEvent: '<string>',
onCancelEvent: '<string>'
})
};
fetch('https://api.gptmaker.ai/v2/agent/{agentId}/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "<string>"
}{
"error": "<string>"
}Atualizar webhooks
Atualiza os webhooks de um agente
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID do agente
Body
Configurações do agente a serem atualizadas
Webhook disparado automaticamente sempre que uma nova mensagem chega em um chat.
Webhook disparado quando o agente não sabe responder a uma pergunta.
Webhook disparado quando o agente transfere o atendimento para um humano.
Webhook disparado automaticamente assim que o primeiro atendimento com o cliente é iniciado.
Webhook disparado automaticamente sempre que um atendimento com o cliente é iniciado.
Webhook disparado automaticamente sempre que um atendimento é finalizado.
Webhook disparado automaticamente sempre que um agendamento é realizado.
Webhook disparado automaticamente sempre que um agendamento é cancelado.
Response
Configurações atualizadas com sucesso

